Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetReader Class Reference

`#include <vtkDataSetReader.h>`

Inheritance diagram for vtkDataSetReader:

[legend]
Collaboration diagram for vtkDataSetReader:

[legend]
List of all members.

## Detailed Description

class to read any type of vtk dataset

Date:
  2002/05/31 23:12:41

Revision:
  1.54

vtkDataSetReader is a class that provides instance variables and methods to read any type of dataset in Visualization Toolkit (vtk) format. The output type of this class will vary depending upon the type of data file. Convenience methods are provided to keep the data as a particular type. (See text for format description details). The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

Warning:
  Binary files written on one system may not be readable on other systems.

See also:
  vtkDataReader vtkPolyDataReader vtkRectilinearGridReader vtkStructuredPointsReader vtkStructuredGridReader vtkUnstructuredGridReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (47%)
  - Law, Charles (21%)
  - Martin, Ken (9%)
  - Lorensen, Bill (9%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkDataSetReader.h)`
  - .`cxx` (`/IO/vtkDataSetReader.cxx)`

Examples:
  vtkDataSetReader (Examples)

Tests:
  vtkDataSetReader (Tests)

Definition at line 68 of file vtkDataSetReader.h.

## Public Types
typedef vtkDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Update ()
virtual int | ReadOutputType ()
vtkDataSet * | GetOutput ()
vtkDataSet * | GetOutput (int idx)
vtkPolyData * | GetPolyDataOutput ()
vtkStructuredPoints * | GetStructuredPointsOutput ()
vtkStructuredGrid * | GetStructuredGridOutput ()
vtkUnstructuredGrid * | GetUnstructuredGridOutput ()
vtkRectilinearGrid * | GetRectilinearGridOutput ()
## Static Public Methods
vtkDataSetReader * | New ()
int | IsTypeOf (const char *type)
vtkDataSetReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetReader ()
| ~vtkDataSetReader ()
void | Execute ()
## Protected Attributes
vtkDataReader * | Reader

## Member Typedef Documentation

typedef vtkDataReader vtkDataSetReader::Superclass

| Reimplemented from vtkDataReader. Definition at line 72 of file vtkDataSetReader.h.

## Constructor & Destructor Documentation

vtkDataSetReader::vtkDataSetReader | ( |  | ) | `[protected]`

vtkDataSetReader::~vtkDataSetReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDataSetReader* vtkDataSetReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkDataReader.

virtual const char* vtkDataSetReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataReader.

int vtkDataSetReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

virtual int vtkDataSetReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

vtkDataSetReader* vtkDataSetReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataReader.

void vtkDataSetReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataReader.

vtkDataSet* vtkDataSetReader::GetOutput | ( |  | ) |

| Get the output of this source as a general vtkDataSet. Since we need to know the type of the data, the FileName must be set before GetOutput is applied.

vtkDataSet* vtkDataSetReader::GetOutput | ( | int | idx | ) |

| Get the output of this source as a general vtkDataSet. Since we need to know the type of the data, the FileName must be set before GetOutput is applied. Reimplemented from vtkSource.

vtkPolyData* vtkDataSetReader::GetPolyDataOutput | ( |  | ) |

| Get the output as various concrete types. This method is typically used when you know exactly what type of data is being read. Otherwise, use the general GetOutput() method. If the wrong type is used NULL is returned. (You must also set the filename of the object prior to getting the output.)

vtkStructuredPoints* vtkDataSetReader::GetStructuredPointsOutput | ( |  | ) |

| Get the output as various concrete types. This method is typically used when you know exactly what type of data is being read. Otherwise, use the general GetOutput() method. If the wrong type is used NULL is returned. (You must also set the filename of the object prior to getting the output.)

vtkStructuredGrid* vtkDataSetReader::GetStructuredGridOutput | ( |  | ) |

| Get the output as various concrete types. This method is typically used when you know exactly what type of data is being read. Otherwise, use the general GetOutput() method. If the wrong type is used NULL is returned. (You must also set the filename of the object prior to getting the output.)

vtkUnstructuredGrid* vtkDataSetReader::GetUnstructuredGridOutput | ( |  | ) |

| Get the output as various concrete types. This method is typically used when you know exactly what type of data is being read. Otherwise, use the general GetOutput() method. If the wrong type is used NULL is returned. (You must also set the filename of the object prior to getting the output.)

vtkRectilinearGrid* vtkDataSetReader::GetRectilinearGridOutput | ( |  | ) |

| Get the output as various concrete types. This method is typically used when you know exactly what type of data is being read. Otherwise, use the general GetOutput() method. If the wrong type is used NULL is returned. (You must also set the filename of the object prior to getting the output.)

void vtkDataSetReader::Update | ( |  | ) | `[virtual]`

| If there is no output, execute anyway. Execute creates an output. Reimplemented from vtkSource.

virtual int vtkDataSetReader::ReadOutputType | ( |  | ) | `[virtual]`

| This method can be used to find out the type of output expected without needing to read the whole file.

void vtkDataSetReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkDataReader* vtkDataSetReader::Reader`[protected]`

| Definition at line 108 of file vtkDataSetReader.h.

The documentation for this class was generated from the following file:

- IO/vtkDataSetReader.h